package com.bzd.system.service.kc.kn;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 药品装斗记录表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcKnRefillsheetService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcKnRefillsheet(PageData pd)throws Exception {
        return daoSupport.update("SKcKnRefillsheetMapper.addSKcKnRefillsheet", pd);
    }

    public List<PageData> findSKcKnRefillsheetList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcKnRefillsheetMapper.selectSKcKnRefillsheetList", pd);
    }

    public Integer SKcKnRefillsheetRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcKnRefillsheetMapper.SKcKnRefillsheetRemove", pd);
    }


    public Integer updateSKcKnRefillsheet(PageData pd)throws Exception {
        return daoSupport.update("SKcKnRefillsheetMapper.updateSKcKnRefillsheet", pd);
    }

}
